package net.stawrul.controllers;

import net.stawrul.model.Author;
import net.stawrul.services.BooksService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/authors")
public class AuthorsController {

    final BooksService booksService;

    public AuthorsController(BooksService booksService) {
        this.booksService = booksService;
    }

    @GetMapping
    public Iterable<Author> listAuthors() {
        return booksService.findAllAuthors();
    }
}
