package net.stawrul.model;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.UUID;

import static javax.persistence.CascadeType.DETACH;

@Entity
@NoArgsConstructor
@EqualsAndHashCode(of = "id")
public class Book {

    @Getter
    @Id
    UUID id = UUID.randomUUID();

    @Getter
    @Setter
    String title;
    
    @Getter
    @Setter
    @Temporal(TemporalType.TIMESTAMP)
    Date publicationDate;

    @Getter
    @Setter
    @ManyToMany(cascade = {DETACH})
    List<Author> authors = new ArrayList<>();

    @Getter
    @Setter
    Integer amount;

    @Getter
    @Setter
    Integer price;

    public Book(String title, Date publicationDate, List<Author> authors, Integer amount, Integer price) {
        this.title = title;
        this.publicationDate = publicationDate;
        this.authors = authors;
        this.amount = amount;
        this.price = price;
    }
}
