package net.stawrul.model;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.UUID;

import static javax.persistence.TemporalType.TIMESTAMP;

@Entity
@Table(name = "orders")
@EqualsAndHashCode(of = "id")
public class Order {

    @Getter
    @Id
    UUID id = UUID.randomUUID();

    @Getter
    @ManyToMany
    List<Book> books = new ArrayList<>();

    @Getter
    @Temporal(TIMESTAMP)
    Date creationDate;

    @Getter
    @Setter
    Integer subtotal;

    @Getter
    @Setter
    @ManyToOne
    User user;

    @PrePersist
    public void prePersist() {
        this.creationDate = new Date();
    }

}
