package net.stawrul.services;

import net.stawrul.model.Author;
import net.stawrul.model.Book;
import net.stawrul.services.repositories.AuthorsRepository;
import net.stawrul.services.repositories.BooksRepository;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
public class BooksService {

    BooksRepository booksRepository;
    AuthorsRepository authorsRepository;

    public BooksService(BooksRepository booksRepository, AuthorsRepository authorsRepository) {
        this.booksRepository = booksRepository;
        this.authorsRepository = authorsRepository;
    }

    public Iterable<Book> findAllBooks() {
        return findAllBooks(Integer.MAX_VALUE);
    }

    public Iterable<Book> findAllBooks(int limit) {
        return booksRepository.findAll(new PageRequest(0, limit, Sort.Direction.DESC, "publicationDate"));
    }

    public Book findBook(UUID id) {
        return booksRepository.findOne(id);
    }

    public Book save(Book book) {
        return booksRepository.save(book);
    }

    public Iterable<Author> findAllAuthors() {
        return authorsRepository.findAll();
    }
}
