import {Component, OnInit} from '@angular/core';
import {BooksService} from '../../services/books.service';
import {ActivatedRoute, Router} from '@angular/router';
import {CartService} from '../../services/cart.service';
import {Book} from '../../model/book';

declare const $: any;

@Component({
  selector: 'app-book-edit',
  templateUrl: './book-edit.component.html',
  styleUrls: ['./book-edit.component.css']
})
export class BookEditComponent implements OnInit {
  book: Book = new Book();

  constructor(private bookService: BooksService,
              private cartService: CartService,
              private router: Router,
              private route: ActivatedRoute) {
  }

  ngOnInit() {
    const id = this.route.snapshot.paramMap.get('id');
    this.bookService.getBook(id).subscribe(book => {
      this.book = book;
      setTimeout(() => $('app-book-edit').bootstrapMaterialDesign());
    });
  }

  cancel(): void {
    this.router.navigate(['/books', this.book.id]);
  }

  save(): void {
    this.bookService.save(this.book).subscribe(
      () => {
        this.router.navigate(['/books', this.book.id]);
      });
  }
}
