import {Component, OnInit} from '@angular/core';
import {CartService} from '../../services/cart.service';
import {Cart} from '../../model/cart';
import {OrdersService} from '../../services/orders.service';
import {Router} from '@angular/router';

@Component({
  selector: 'app-cart',
  templateUrl: './cart.component.html',
  styleUrls: ['./cart.component.css']
})
export class CartComponent implements OnInit {

  constructor(private cartService: CartService,
              private ordersService: OrdersService,
              private router: Router) {
  }

  ngOnInit() {
  }

  get cart(): Cart {
    return this.cartService.getCart();
  }

  clearCart(): void {
    this.cartService.clearCart();
  }

  placeOrder(): void {
    this.ordersService.placeOrder(this.cartService.getCart()).subscribe(success => {
      if (success) {
        this.cartService.clearCart();
        this.router.navigate(['/orders']);
      }
    });
  }
}
