import {Component, OnInit} from '@angular/core';
import {ActivatedRoute, Router} from '@angular/router';
import {AuthService} from '../../services/auth.service';
import {IdentityService} from '../../services/identity.service';

@Component({
  selector: 'app-dashboard',
  templateUrl: './dashboard.component.html',
  styleUrls: ['./dashboard.component.css']
})
export class DashboardComponent implements OnInit {

  forbidden = false;

  constructor(private router: Router,
              private identityService: IdentityService,
              private route: ActivatedRoute) {
  }

  ngOnInit() {
    if (!this.identityService.isSignedIn()) {
      this.router.navigate(['sign-in']);
    }

    this.forbidden = this.route.snapshot.queryParamMap.has('forbidden');
  }

}
