import {Component, OnInit} from '@angular/core';
import {Router} from '@angular/router';
import {CartService} from '../../services/cart.service';
import {Cart} from '../../model/cart';
import {IdentityService} from '../../services/identity.service';

@Component({
  selector: 'app-navbar',
  templateUrl: './navbar.component.html',
  styleUrls: ['./navbar.component.css']
})
export class NavbarComponent implements OnInit {

  constructor(private authService: IdentityService,
              private cartService: CartService,
              private router: Router) {
  }

  ngOnInit() {
  }

  public isSignedIn(): boolean {
    return this.authService.isSignedIn();
  }

  public userLogin(): string {
    return this.authService.getUserInfo().login;
  }

  public signOut(): void {
    this.authService.signOut();
    this.router.navigate(['sign-in']);
  }

  public getCart(): Cart {
    return this.cartService.getCart();
  }

  public getCartSize(): number {
    return this.cartService.getCart().products.length;
  }

  public getCartSubtotal(): number {
    return this.cartService.getCart().subtotal/100;
  }

}
