import {Component, Input, OnInit} from '@angular/core';
import {ActivatedRoute, Router} from '@angular/router';
import {AuthService} from '../../services/auth.service';

declare const $: any;

@Component({
  selector: 'app-sign-in',
  templateUrl: './sign-in.component.html',
  styleUrls: ['./sign-in.component.css']
})
export class SignInComponent implements OnInit {
  tokenExpired = false;
  login: string;
  password: string;
  signInError = false;

  constructor(private authService: AuthService,
              private router: Router,
              private route: ActivatedRoute) {
  }

  ngOnInit() {
    $('app-sign-in').bootstrapMaterialDesign();
    this.tokenExpired = this.route.snapshot.queryParamMap.has('tokenExpired');
  }

  signIn() {
    this.authService.signIn(this.login, this.password).subscribe(successful => {
      if (successful) {
        this.router.navigate(['dashboard']);

      } else {
        this.password = '';
        this.signInError = true;
      }
    });
  }
}
