import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot} from '@angular/router';
import {IdentityService} from '../services/identity.service';

@Injectable()
export class AdminGuard implements CanActivate {
  constructor(private identityService: IdentityService,
              private router: Router) {
  }

  canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean {
    if (!this.identityService.isUserInRole('ROLE_ADMIN')) {
      this.router.navigate(['dashboard'], {queryParams: {forbidden: true}});
      return false;
    }

    return true;
  }
}
