import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot} from '@angular/router';
import {IdentityService} from '../services/identity.service';

@Injectable()
export class AuthenticatedGuard implements CanActivate {
  constructor(private identityService: IdentityService,
              private router: Router) {
  }

  canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean {
    if (this.identityService.getUserInfo() === null) {
      this.router.navigate(['/sign-in']);
      return false;
    }

    return true;
  }
}
