import {Injectable} from '@angular/core';
import {Book} from '../model/book';
import {Cart} from '../model/cart';

@Injectable()
export class CartService {
  private readonly CART_KEY = 'cart';

  constructor() {
  }

  public addToCart(book: Book): void {
    const cart = this.getCart();
    cart.products.push(book);
    cart.subtotal += book.price;
    localStorage.setItem(this.CART_KEY, JSON.stringify(cart));
  }

  public clearCart(): void {
    localStorage.setItem(this.CART_KEY, JSON.stringify(new Cart()));
  }

  public getCart(): Cart {
    let cart = JSON.parse(localStorage.getItem(this.CART_KEY));

    if (!cart) {
      cart = new Cart();
    }

    return cart;
  }
}
