import {Injectable} from '@angular/core';
import {UserInfo} from '../model/user-info';

@Injectable()
export class IdentityService {
  private readonly USER_INFO_KEY = 'user_info';

  constructor() {
  }

  public signOut(): void {
    localStorage.removeItem(this.USER_INFO_KEY);
  }

  public isSignedIn(): boolean {
    return localStorage.getItem(this.USER_INFO_KEY) != null;
  }

  public getUserInfo(): UserInfo {
    return JSON.parse(localStorage.getItem(this.USER_INFO_KEY));
  }

  public storeUserInfo(userInfo: UserInfo): void {
    localStorage.setItem(this.USER_INFO_KEY, JSON.stringify(userInfo));
  }

  public isUserInRole(role: string): boolean {
    const userInfo = this.getUserInfo();
    console.log(userInfo);
    return userInfo.authorities.includes(role);
  }
}
